org.apache.xalan.xsltc

## Interface DOMEnhancedForDTM

- All Superinterfaces:
    DOM
  All Known Implementing Classes:
    SAXImpl

      public interface DOMEnhancedForDTM
      extends DOM

  Interface for SAXImpl which adds methods used at run-time, over and above those provided by the XSLTC DOM interface. An attempt to avoid the current "Is the DTM a DOM, if so is it a SAXImpl, . . . which was producing some ugly replicated code and introducing bugs where that multipathing had not been done. This makes it easier to provide other DOM/DOMEnhancedForDTM implementations, rather than hard-wiring XSLTC to SAXImpl.
  Author:
    Joseph Kesselman

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xalan.xsltc.DOM

      `ADAPTIVE_RTF, FIRST_TYPE, NO_TYPE, NULL, RETURN_CURRENT, RETURN_PARENT, SIMPLE_RTF, TREE_RTF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocumentURI()`
    `int` | `getElementById(java.lang.String idString)`
    `int` | `getExpandedTypeID2(int nodeHandle)`
    `short[]` | `getMapping(java.lang.String[] names, java.lang.String[] uris, int[] types)`
    `short[]` | `getNamespaceMapping(java.lang.String[] namespaces)`
    `int[]` | `getReverseMapping(java.lang.String[] names, java.lang.String[] uris, int[] types)`
    `short[]` | `getReverseNamespaceMapping(java.lang.String[] namespaces)`
    `boolean` | `hasDOMSource()`
    `void` | `setDocumentURI(java.lang.String uri)`

    - ### Methods inherited from interface org.apache.xalan.xsltc.DOM

      `characters, copy, copy, getAttributeNode, getAxisIterator, getChildren, getDocument, getDocumentURI, getElementsWithIDs, getExpandedTypeID, getIterator, getLanguage, getNamespaceAxisIterator, getNamespaceName, getNamespaceType, getNodeHandle, getNodeIdent, getNodeName, getNodeNameX, getNodeValueIterator, getNSType, getNthDescendant, getOutputDomBuilder, getParent, getResultTreeFrag, getResultTreeFrag, getSize, getStringValue, getStringValueX, getTypedAxisIterator, getTypedChildren, getUnparsedEntityURI, isAttribute, isElement, lessThan, lookupNamespace, makeNode, makeNode, makeNodeList, makeNodeList, orderNodes, setFilter, setupMapping, shallowCopy`

- - ### Method Detail

    - #### getMapping

          short[] getMapping(java.lang.String[] names,
                             java.lang.String[] uris,
                             int[] types)

    - #### getReverseMapping

          int[] getReverseMapping(java.lang.String[] names,
                                  java.lang.String[] uris,
                                  int[] types)

    - #### getNamespaceMapping

          short[] getNamespaceMapping(java.lang.String[] namespaces)

    - #### getReverseNamespaceMapping

          short[] getReverseNamespaceMapping(java.lang.String[] namespaces)

    - #### getDocumentURI

          java.lang.String getDocumentURI()

    - #### setDocumentURI

          void setDocumentURI(java.lang.String uri)

    - #### getExpandedTypeID2

          int getExpandedTypeID2(int nodeHandle)

    - #### hasDOMSource

          boolean hasDOMSource()

    - #### getElementById

          int getElementById(java.lang.String idString)

Copyright © 2023 Apache XML Project. All Rights Reserved.